﻿@model VirtualCarGarage.MVC.Models.CarCreateViewModel

@{
    ViewData["Title"] = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="container mt-3">
    <div class="text-center">
        <h1 class="text-dark font-weight-bolder">Create Car</h1>
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="OwnerId" class="control-label"></label>
                <select asp-for="OwnerId" class="form-control" asp-items="ViewBag.OwnerId"></select>
                <span asp-validation-for="OwnerId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ModelId" class="control-label"></label>
                <select asp-for="ModelId" class="form-control" asp-items="ViewBag.ModelId"></select>
                <span asp-validation-for="ModelId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="CarIDNumber" class="control-label"></label>
                <input asp-for="CarIDNumber" class="form-control" />
                <span asp-validation-for="CarIDNumber" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="LicensePlate" class="control-label"></label>
                <input asp-for="LicensePlate" class="form-control" />
                <span asp-validation-for="LicensePlate" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="YearOfManufacture" class="control-label"></label>
                <input asp-for="YearOfManufacture" class="form-control" />
                <span asp-validation-for="YearOfManufacture" class="text-danger"></span>
            </div>

            <div class="form-group">
                <input type="submit" value="Create Car" class="btn btn-success" />
                <a asp-action="Index" class="btn btn-primary">Back</a>
            </div>
        </form>
    </div>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}